> ## Documentation Index
> Fetch the complete documentation index at: https://developers.fireblocks.com/llms.txt
> Use this file to discover all available pages before exploring further.

<AgentInstructions>

## Submitting Feedback

If you encounter incorrect, outdated, or confusing documentation on this page, submit feedback:

POST https://developers.fireblocks.com/feedback

```json
{
  "path": "/api-reference/blockchains-&-assets/list-blockchains",
  "feedback": "Description of the issue"
}
```

Only submit feedback when you have something specific and actionable to report.

</AgentInstructions>

# List blockchains

> Returns all blockchains supported by Fireblocks.




## OpenAPI

````yaml https://docs.fireblocks.com/api/v1/swagger.yaml get /blockchains
openapi: 3.0.0
info:
  title: Fireblocks API
  description: >
    Fireblocks provides a suite of applications to manage digital asset
    operations and a complete development platform to build your business on the
    blockchain.


    - Visit our website for more information: [Fireblocks
    Website](https://fireblocks.com)

    - Visit our developer docs: [Fireblocks
    DevPortal](https://developers.fireblocks.com)
  version: 1.6.2
  contact:
    email: developers@fireblocks.com
servers:
  - url: https://api.fireblocks.io/v1
    description: Fireblocks Production Environment Base URL
  - url: https://sandbox-api.fireblocks.io/v1
    description: Fireblocks Sandbox Environment Base URL
security: []
paths:
  /blockchains:
    get:
      tags:
        - Blockchains & assets
      summary: List blockchains
      description: |
        Returns all blockchains supported by Fireblocks.
      operationId: listBlockchains
      parameters:
        - name: protocol
          required: false
          in: query
          description: Blockchain protocol
          schema:
            type: string
          example: SOL
        - name: deprecated
          required: false
          in: query
          description: Is blockchain deprecated
          schema:
            type: boolean
          example: false
        - name: test
          required: false
          in: query
          description: Is test blockchain
          schema:
            type: boolean
          example: false
        - name: ids
          required: false
          in: query
          description: A list of blockchain IDs (max 100)
          schema:
            type: array
            items:
              type: string
          example:
            - 3ed32525-70df-45c8-bae3-e69ab56dc095
            - 3a3b5f06-61e7-44f0-9962-4425b55795ff
            - MANTRA
        - name: pageCursor
          required: false
          in: query
          description: Page cursor to fetch
          schema:
            type: string
          example: MjAyMy0xMi0xMyAyMDozNjowOC4zMDI=:MTEwMA==
        - name: pageSize
          required: false
          in: query
          description: Items per page (max 500)
          schema:
            minimum: 1
            maximum: 500
            default: 500
            type: number
          example: 500
      responses:
        '200':
          description: List of supported blockchains
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListBlockchainsResponse'
        '500':
          description: Error occurred while listing blockchains
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AssetInternalServerErrorResponse'
        default:
          $ref: '#/components/responses/Error'
      x-codeSamples:
        - lang: TypeScript
          source: >-
            const response: Promise<FireblocksResponse<ListBlockchainsResponse>>
            =
            fireblocks.blockchainsAssets.listBlockchains(blockchainsAssetsApiListBlockchainsRequest);
        - lang: Java
          source: >-
            CompletableFuture<ApiResponse<ListBlockchainsResponse>> response =
            fireblocks.blockchainsAssets().listBlockchains(protocol, deprecated,
            test, ids, pageCursor, pageSize);
        - lang: Python
          source: >-
            response =
            fireblocks.blockchains_&_assets.list_blockchains(protocol,
            deprecated, test, ids, page_cursor, page_size);
components:
  schemas:
    ListBlockchainsResponse:
      type: object
      properties:
        data:
          type: array
          description: The data of the current page
          items:
            $ref: '#/components/schemas/BlockchainResponse'
        next:
          type: string
          description: Cursor to the next page
          example: eJ0eXAiOiJKV1QiLCJhbGcOiJIUzI1NiJ9
          nullable: true
      required:
        - data
        - next
    AssetInternalServerErrorResponse:
      type: object
      properties:
        message:
          type: string
          description: Internal server error code
          example: Internal server error
        code:
          type: number
          description: Error code
          example: 3005
      required:
        - message
        - code
    BlockchainResponse:
      type: object
      properties:
        id:
          type: string
          description: The ID of the blockchain
          example: 9f9f7062-df90-4fc0-8697-96685184357b
        legacyId:
          type: string
          description: The old blockchain ID representation of the blockchain
          example: ETH
        displayName:
          type: string
          description: The name of the blockchain
          example: Ethereum
        nativeAssetId:
          type: string
          description: Native asset ID of this blockchain
          example: 9f9f7062-df90-4fc0-8697-96685184356a
        onchain:
          $ref: '#/components/schemas/BlockchainOnchain'
        metadata:
          $ref: '#/components/schemas/BlockchainMetadata'
      required:
        - id
        - legacyId
        - displayName
        - nativeAssetId
        - onchain
        - metadata
    ErrorSchema:
      type: object
      properties:
        message:
          type: string
        code:
          type: number
    BlockchainOnchain:
      type: object
      properties:
        protocol:
          type: string
          description: The protocol of the blockchain
          example: EVM
        chainId:
          type: string
          description: Network/chain ID
          example: 1
        test:
          type: boolean
          description: Is test blockchain
          example: false
        signingAlgo:
          enum:
            - ECDSA_SECP256K1
            - EDDSA_ED25519
          type: string
          description: Signing alghorithm
          example: ECDSA_SECP256K1
      required:
        - protocol
        - test
        - signingAlgo
    BlockchainMetadata:
      type: object
      properties:
        scope:
          $ref: '#/components/schemas/AssetScope'
        deprecated:
          type: boolean
          description: Is blockchain deprecated
          example: false
        media:
          description: Blockchain’s media
          type: array
          items:
            $ref: '#/components/schemas/BlockchainMedia'
        explorer:
          $ref: '#/components/schemas/BlockchainExplorer'
      required:
        - scope
        - deprecated
    AssetScope:
      type: string
      description: The scope of the asset
      example: GLOBAL
      enum:
        - GLOBAL
        - LOCAL
    BlockchainMedia:
      type: object
      properties:
        url:
          type: string
          description: Media URL
          example: https://example.com/image.png
        type:
          type: string
          description: Media type
          example: image/svg+xml
          enum:
            - image/svg+xml
            - image/png
      required:
        - url
        - type
    BlockchainExplorer:
      type: object
      properties:
        base:
          type: string
          description: Explorer base url
          example: https://example.com
        address:
          type: string
          description: Explorer address url
          example: https://example.com/address/{address}
        tx:
          type: string
          description: Explorer transaction url
          example: https://example.com/tx/{tx}
        token:
          type: string
          description: Explorer token url
          example: https://example.com/nft/{contract}/{tokenId}
      required:
        - base
  responses:
    Error:
      description: Error Response
      headers:
        X-Request-ID:
          $ref: '#/components/headers/X-Request-ID'
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorSchema'
  headers:
    X-Request-ID:
      schema:
        type: string
      description: >-
        Unique ID correlated to the API request. Please provide it in any
        support ticket you create or on Github issues related to Fireblocks SDKs

````